- Qt 6.9
- Qt GUI
- C++ Classes
- QRhiVulkanQueueSubmitParams
- Qt 6.9.1 Reference Documentation

# QRhiVulkanQueueSubmitParams Struct

References additional Vulkan API objects that get passed to `vkQueueSubmit()`. More...

Header: | `#include <QRhiVulkanQueueSubmitParams>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::Gui)`
qmake: | `QT += gui`
Since: | Qt 6.9
Inherits: | QRhiNativeHandles

- List of all members, including inherited members

## Public Variables

uint32_t | presentWaitSemaphoreCount
int * | presentWaitSemaphores
uint32_t | signalSemaphoreCount
int * | signalSemaphores
uint32_t | waitSemaphoreCount
int * | waitSemaphores

## Detailed Description

Note: This is a RHI API with limited compatibility guarantees, see QRhi for details.

## Member Variable Documentation

### uint32_t QRhiVulkanQueueSubmitParams::presentWaitSemaphoreCount

When non-zero, this applies to the next `vkQueuePresentKHR()` call. See VkPresentInfoKHR for details.

### int *QRhiVulkanQueueSubmitParams::presentWaitSemaphores

See VkPresentInfoKHR for details.

### uint32_t QRhiVulkanQueueSubmitParams::signalSemaphoreCount

See VkSubmitInfo for details.

### int *QRhiVulkanQueueSubmitParams::signalSemaphores

See VkSubmitInfo for details.

### uint32_t QRhiVulkanQueueSubmitParams::waitSemaphoreCount

See VkSubmitInfo for details.

### int *QRhiVulkanQueueSubmitParams::waitSemaphores

See VkSubmitInfo for details.